LibreOffice: XBackendEntities Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XBackendEntities Interface Referencepublished

Provides functionality relating to common and supported entities for a configuration data backend. More...

`import "XBackendEntities.idl";`

Inheritance diagram for XBackendEntities:

## Public Member Functions
string | getOwnerEntity ()
| provides the entity id of the owner entity of the backend.
string | getAdminEntity ()
| provides the entity id of an entity for general administrative access.
boolean | supportsEntity ([in] string aEntity) raises ( BackendAccessException )
| determines, if a given entity id exists in this backend.
boolean | isEqualEntity ([in] string aEntity, [in] string aOtherEntity) raises ( BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| determines, if two given entity ids denote the same entity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Provides functionality relating to common and supported entities for a configuration data backend.

See also
  com::sun::star::configuration::backend::XBackend
  com::sun::star::configuration::backend::XMultiLayerStratum

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getAdminEntity()

string getAdminEntity | ( |  | ) |

provides the entity id of an entity for general administrative access.

The admin entity is an entity that should be used to read and manage configuration data that applies to all entities within the backend.

Returns
  an entity identifier for the admin entity or an empty string, if there is no entity that can be used for general administrative access.

## ◆ getOwnerEntity()

string getOwnerEntity | ( |  | ) |

provides the entity id of the owner entity of the backend.

Returns
  an entity identifier for the owner entity.

The owner entity is the default entity for the backend. For normal configuration data access the owner entity should always be used.

See also
  com::sun::star::configuration::backend::XBackend::listOwnLayers()
  com::sun::star::configuration::backend::XBackend::getOwnUpdateHandler()

## ◆ isEqualEntity()

boolean isEqualEntity | ( | [in] string | aEntity,
|  | [in] string | aOtherEntity )
raises | ( | BackendAccessException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

determines, if two given entity ids denote the same entity.

Parameters

  aEntity | The name of an entity.
  aOtherEntity | The name of another entity.

Returns
  `TRUE`, if aEntity and aOtherEntity denote the same entity within this backend, `FALSE` otherwise.

Exceptions

  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the backend.
  com::sun::star::lang::IllegalArgumentException | if either entity does not exist.

## ◆ supportsEntity()

boolean supportsEntity | ( | [in] string | aEntity | ) |
raises | ( | BackendAccessException ) |  |  |

determines, if a given entity id exists in this backend.

Parameters

  aEntity | The name of an entity.

Exceptions

  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the backend.

Returns
  `TRUE`, if aEntity is a valid, existing entity for this backend, `FALSE` otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XBackendEntities.idl